AbstractEventModelSequenceTrainer (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.ml, class: AbstractEventModelSequenceTrainer

# Class AbstractEventModelSequenceTrainer

java.lang.Object
opennlp.tools.ml.AbstractTrainer
opennlp.tools.ml.AbstractEventModelSequenceTrainer

All Implemented Interfaces:
  `Trainer, EventModelSequenceTrainer<Event>`

Direct Known Subclasses:
  `SimplePerceptronSequenceTrainer`

public abstract class AbstractEventModelSequenceTrainer extends AbstractTrainer implements EventModelSequenceTrainer<Event>
A basic `EventModelSequenceTrainer` implementation that processes `events`.

- ## Field Summary

  ### Fields inherited from interface EventModelSequenceTrainer

  `SEQUENCE_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractEventModelSequenceTrainer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract MaxentModel`
  `doTrain(SequenceStream<Event> events)`
  `final MaxentModel`
  `train(SequenceStream<Event> events)`
  Trains a `MaxentModel` for given `events`.

  ### Methods inherited from class AbstractTrainer

  `getAlgorithm, getCutoff, getIterations, getTrainingConfiguration, init, init, validate`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Trainer

  `init, init`

- ## Constructor Details

  - ### AbstractEventModelSequenceTrainer

    public AbstractEventModelSequenceTrainer()

- ## Method Details

  - ### doTrain

    public abstract MaxentModel doTrain(SequenceStream<Event> events) throws IOException
    Throws:
      `IOException`

  - ### train

    public final MaxentModel train(SequenceStream<Event> events) throws IOException
    Description copied from interface: `EventModelSequenceTrainer`
    Trains a `MaxentModel` for given `events`.
    Specified by:
      `train` in interface `EventModelSequenceTrainer<Event>`
    Parameters:
      `events` - The input `events`.
    Returns:
      The trained `MaxentModel`.
    Throws:
      `IOException` - Thrown if IO errors occurred.